## haproxy 2.4.22

=== debian/changelog ===
haproxy (2.4.22-0ubuntu0.22.10.1) kinetic; urgency=medium

  * New upstream release (LP: #2012557).
    - Major and critical bug fixes according to the upstream changelog:
      + BUG/MAJOR: log-forward: Fix log-forward proxies not fully initialized
      + BUG/MAJOR: mworker: fix infinite loop on master with no proxies.
      + BUG/MAJOR: stick-tables: do not try to index a server name for applets
      + BUG/MAJOR: stick-table: don't process store-response rules for applets
      + BUG/MAJOR: fcgi: Fix uninitialized reserved bytes
      + BUG/MAJOR: buf: Fix copy of wrapping output data when a buffer is realigned
      + BUG/CRITICAL: http: properly reject empty http header field names
    - Remove patches applied by upstream in debian/patches:
      + CVE-2023-0056.patch
      + CVE-2023-25725.patch
      + CVE-2023-0836.patch
    - Refresh existing patches in debian/patches:
      + reproducible.patch

 -- Lucas Kanashiro <kanashiro@ubuntu.com>  Wed, 22 Mar 2023 18:39:05 -0300

haproxy (2.4.18-1ubuntu1.3) kinetic-security; urgency=medium

  * SECURITY UPDATE: information leak via uninitialized bytes
    - debian/patches/CVE-2023-0836.patch: initialize output buffer in
      src/fcgi.c.
    - CVE-2023-0836

 -- Marc Deslauriers <marc.deslauriers@ubuntu.com>  Fri, 31 Mar 2023 13:16:27 -0400

haproxy (2.4.18-1ubuntu1.2) kinetic-security; urgency=medium

  * SECURITY UPDATE: incorrect handling of empty http header field names
    - debian/patches/CVE-2023-25725.patch: properly reject empty http
      header field names in src/h1.c, src/hpack-dec.c.
    - CVE-2023-25725

 -- Marc Deslauriers <marc.deslauriers@ubuntu.com>  Mon, 13 Feb 2023 07:40:42 -0500

haproxy (2.4.18-1ubuntu1.1) kinetic-security; urgency=medium

  * SECURITY UPDATE: DoS via certain interim responses
    - debian/patches/CVE-2023-0056.patch: refuse interim responses with
      end-stream flag set in src/mux_h2.c.
    - CVE-2023-0056

 -- Marc Deslauriers <marc.deslauriers@ubuntu.com>  Thu, 19 Jan 2023 10:47:25 -0500

haproxy (2.4.18-1ubuntu1) kinetic; urgency=medium

  * Merge with Debian unstable. Remaining changes:
    - d/{control,rules}: Removing support for OpenTracing due to it is
      in universe.
  * Dropped (in 2.4.18-1):
    - d/t/utils: add helper functions to be re-used in tests.
    - d/t/proxy-localhost: refactor to use the check_index_file helper function.
    - d/t/proxy-ssl-termination: add test for the SSL termination proxy feature.
    - d/t/proxy-ssl-pass-through: add test for the SSL Pass-Through proxy feature.
    - d/t/control: add both SSL related tests.

 -- Andreas Hasenack <andreas@canonical.com>  Mon, 15 Aug 2022 09:46:33 -0300

haproxy (2.4.17-1ubuntu2) kinetic; urgency=medium

  * d/t/utils: add helper functions to be re-used in tests.
  * d/t/proxy-localhost: refactor to use the check_index_file helper function.
  * d/t/proxy-ssl-termination: add test for the SSL termination proxy feature.
  * d/t/proxy-ssl-pass-through: add test for the SSL Pass-Through proxy feature.
  * d/t/control: add both SSL related tests.

 -- Lucas Kanashiro <kanashiro@ubuntu.com>  Wed, 15 Jun 2022 17:34:52 -0300

haproxy (2.4.17-1ubuntu1) kinetic; urgency=medium

  * Merge with Debian unstable (LP: #1971279). Remaining changes:
    - d/{control,rules}: Removing support for OpenTracing due to it is
      in universe.

 -- Andreas Hasenack <andreas@canonical.com>  Mon, 16 May 2022 10:41:37 -0300

haproxy (2.4.14-1ubuntu1) jammy; urgency=medium

  * Merge with Debian unstable. Remaining changes:
    - d/{control,rules}: Removing support for OpenTracing due to it is
      in universe.
  * Dropped:
    - d/p/fix-ftbfs-openssl3.patch: Cherry-picked from upstream to fix
      the build against OpenSSL3 (LP #1945773)
      [Fixed upstream]

 -- Andreas Hasenack <andreas@canonical.com>  Mon, 28 Feb 2022 13:48:21 -0300

haproxy (2.4.13-1ubuntu1) jammy; urgency=medium

  * Merge with Debian unstable (LP: #1961195). Remaining changes:
    - d/p/fix-ftbfs-openssl3.patch: Cherry-picked from upstream to fix
      the build against OpenSSL3 (LP #1945773)
    - d/{control,rules}: Removing support for OpenTracing due to it is
      in universe.

 -- Andreas Hasenack <andreas@canonical.com>  Fri, 18 Feb 2022 15:27:14 -0300

haproxy (2.4.12-1ubuntu2) jammy; urgency=medium

  * No-change rebuild to update maintainer scripts, see LP: 1959054

 -- Dave Jones <dave.jones@canonical.com>  Wed, 16 Feb 2022 17:01:23 +0000

haproxy (2.4.12-1ubuntu1) jammy; urgency=medium

  * Merge with Debian unstable (LP: #1957099). Remaining changes:
    - d/p/fix-ftbfs-openssl3.patch: Cherry-picked from upstream to fix
      the build against OpenSSL3 (LP #1945773)
    - d/{control,rules}: Removing support for OpenTracing due to it is
      in universe.

 -- Andreas Hasenack <andreas@canonical.com>  Tue, 11 Jan 2022 14:40:07 -0300

haproxy (2.4.11-1ubuntu1) jammy; urgency=medium

  * Merge with Debian unstable (LP: #1946859). Remaining changes:
    - d/p/fix-ftbfs-openssl3.patch: Cherry-picked from upstream to fix
      the build against OpenSSL3 (LP #1945773)
    - d/{control,rules}: Removing support for OpenTracing due to it is
      in universe.

 -- Andreas Hasenack <andreas@canonical.com>  Sat, 08 Jan 2022 18:58:44 -0300

haproxy (2.4.8-2ubuntu3) jammy; urgency=medium

  * d/{control,rules}: Remove support for OpenTracing because it is
    in universe.

 -- Miriam España Acebal <miriam.espana@canonical.com>  Thu, 09 Dec 2021 11:57:06 +0100

haproxy (2.4.8-2ubuntu2) jammy; urgency=medium

  * No-change rebuild against libssl3

 -- Steve Langasek <steve.langasek@ubuntu.com>  Wed, 08 Dec 2021 23:32:48 +0000

haproxy (2.4.8-2ubuntu1) jammy; urgency=medium

  [ Simon Chopin ]
  * d/p/fix-ftbfs-openssl3.patch: Cherry-picked from upstream to fix the build
    against OpenSSL3 (LP: #1945773)

 -- Lucas Kanashiro <kanashiro@ubuntu.com>  Fri, 19 Nov 2021 18:36:04 -0300

## haproxy 2.4.24

=== Makefile ===
# This GNU Makefile supports different OS and CPU combinations.
#
# You should use it this way :
#   [g]make TARGET=os [ARCH=arch] [CPU=cpu] USE_xxx=1 ...
#
# When in doubt, invoke help, possibly with a known target :
#   [g]make help
#   [g]make help TARGET=linux-glibc
#
# By default the detailed commands are hidden for a cleaner output, but you may
# see them by appending "V=1" to the make command.
#
# Valid USE_* options are enumerated in the "use_opts" variable and are listed
# below. Most of them are automatically set by the TARGET, others have to be
# explicitly specified :
#   USE_EPOLL            : enable epoll() on Linux 2.6. Automatic.
#   USE_KQUEUE           : enable kqueue() on BSD. Automatic.
#   USE_EVPORTS          : enable event ports on SunOS systems. Automatic.
#   USE_NETFILTER        : enable netfilter on Linux. Automatic.
#   USE_PCRE             : enable use of libpcre for regex. Recommended.
#   USE_PCRE_JIT         : enable JIT for faster regex on libpcre >= 8.32
#   USE_PCRE2            : enable use of libpcre2 for regex.
#   USE_PCRE2_JIT        : enable JIT for faster regex on libpcre2
#   USE_POLL             : enable poll(). Automatic.
#   USE_PRIVATE_CACHE    : disable shared memory cache of ssl sessions.
#   USE_THREAD           : enable threads support.
#   USE_PTHREAD_PSHARED  : enable pthread process shared mutex on sslcache.
#   USE_STATIC_PCRE      : enable static libpcre. Recommended.
#   USE_STATIC_PCRE2     : enable static libpcre2.
#   USE_TPROXY           : enable transparent proxy. Automatic.
#   USE_LINUX_TPROXY     : enable full transparent proxy. Automatic.
#   USE_LINUX_SPLICE     : enable kernel 2.6 splicing. Automatic.
#   USE_LIBCRYPT         : enable encrypted passwords using -lcrypt
#   USE_CRYPT_H          : set it if your system requires including crypt.h
#   USE_GETADDRINFO      : use getaddrinfo() to resolve IPv6 host names.
#   USE_OPENSSL          : enable use of OpenSSL. Recommended, but see below.
#   USE_LUA              : enable Lua support.
#   USE_FUTEX            : enable use of futex on kernel 2.6. Automatic.
#   USE_ACCEPT4          : enable use of accept4() on linux. Automatic.
#   USE_CLOSEFROM        : enable use of closefrom() on *bsd, solaris. Automatic.
#   USE_PRCTL            : enable use of prctl(). Automatic.
#   USE_PROCCTL          : enable use of procctl(). Automatic.
#   USE_ZLIB             : enable zlib library support and disable SLZ
#   USE_SLZ              : enable slz library instead of zlib (default=enabled)
#   USE_CPU_AFFINITY     : enable pinning processes to CPU on Linux. Automatic.
#   USE_TFO              : enable TCP fast open. Supported on Linux >= 3.7.
#   USE_NS               : enable network namespace support. Supported on Linux >= 2.6.24.
#   USE_DL               : enable it if your system requires -ldl. Automatic on Linux.
#   USE_RT               : enable it if your system requires -lrt. Automatic on Linux.
#   USE_BACKTRACE        : enable backtrace(). Automatic on Linux.
#   USE_PROMEX           : enable the Prometheus exporter
#   USE_DEVICEATLAS      : enable DeviceAtlas api.
#   USE_51DEGREES        : enable third party device detection library from 51Degrees
#   USE_WURFL            : enable WURFL detection library from Scientiamobile
#   USE_SYSTEMD          : enable sd_notify() support.
#   USE_OBSOLETE_LINKER  : use when the linker fails to emit __start_init/__stop_init
#   USE_THREAD_DUMP      : use the more advanced thread state dump system. Automatic.
#   USE_OT               : enable the OpenTracing filter
#   USE_MEMORY_PROFILING : enable the memory profiler. Linux-glibc only.
#   USE_LIBATOMIC        : force to link with/without libatomic. Automatic.
#
# Options can be forced by specifying "USE_xxx=1" or can be disabled by using
# "USE_xxx=" (empty string). The list of enabled and disabled options for a
# given TARGET is enumerated at the end of "make help".
#
# Variables useful for packagers :
#   CC is set to "cc" by default and is used for compilation only.
#   LD is set to "cc" by default and is used for linking only.
#   ARCH may be useful to force build of 32-bit binary on 64-bit systems
#   CFLAGS is automatically set for the specified CPU and may be overridden.
#   LDFLAGS is automatically set to -g and may be overridden.
#   DEP may be cleared to ignore changes to include files during development
#   SMALL_OPTS may be used to specify some options to shrink memory usage.
#   DEBUG may be used to set some internal debugging options.
#   ERR may be set to non-empty to pass -Werror to the compiler
#   ADDINC may be used to complete the include path in the form -Ipath.
#   ADDLIB may be used to complete the library list in the form -Lpath -llib.
#   DEFINE may be used to specify any additional define, which will be reported
#          by "haproxy -vv" in CFLAGS.
#   SILENT_DEFINE may be used to specify other defines which will not be
#     reported by "haproxy -vv".
#   EXTRA   is used to force building or not building some extra tools.
#   DESTDIR is not set by default and is used for installation only.
#           It might be useful to set DESTDIR if you want to install haproxy
#           in a sandbox.
#   INSTALL is set to "install" by default and is used to provide the name of
#           the install binary used by the install targets and any additional
#           flags.
#   PREFIX  is set to "/usr/local" by default and is used for installation only.
#   SBINDIR is set to "$(PREFIX)/sbin" by default and is used for installation
#           only.
#   MANDIR  is set to "$(PREFIX)/share/man" by default and is used for
#           installation only.
#   DOCDIR  is set to "$(PREFIX)/doc/haproxy" by default and is used for
#           installation only.
#   HLUA_PREPEND_PATH may be used to prepend a folder to Lua's default package.path.
#   HLUA_PREPEND_CPATH may be used to prepend a folder to Lua's default package.cpath.
#
# Other variables :
#   PCRE_CONFIG    : force the binary path to get pcre config (by default
#                                                              pcre-config)
#   PCREDIR        : force the path to libpcre.
#   PCRE_LIB       : force the lib path to libpcre (defaults to $PCREDIR/lib).
#   PCRE_INC       : force the include path to libpcre ($PCREDIR/inc)
#   PCRE2_CONFIG   : force the binary path to get pcre2 config (by default
#                                                               pcre2-config)
#   SSL_LIB        : force the lib path to libssl/libcrypto
#   SSL_INC        : force the include path to libssl/libcrypto
#   LUA_LIB        : force the lib path to lua
#   LUA_INC        : force the include path to lua
#   LUA_LIB_NAME   : force the lib name (or automatically evaluated, by order of
#                                        priority : lua5.4, lua54, lua5.3, lua53, lua).
#   OT_DEBUG       : compile the OpenTracing filter in debug mode
#   OT_INC         : force the include path to libopentracing-c-wrapper
#   OT_LIB         : force the lib path to libopentracing-c-wrapper
#   OT_RUNPATH     : add RUNPATH for libopentracing-c-wrapper to haproxy executable
#   IGNOREGIT      : ignore GIT commit versions if set.
#   VERSION        : force haproxy version reporting.
#   SUBVERS        : add a sub-version (eg: platform, model, ...).
#   EXTRAVERSION   : local version string to append (e.g. build number etc)
#   VERDATE        : force haproxy's release date.
#   VTEST_PROGRAM  : location of the vtest program to run reg-tests.
#   DEBUG_USE_ABORT: use abort() for program termination, see include/haproxy/bug.h for details

# verbosity: pass V=1 for verbose shell invocation
V = 0
Q = @
ifeq ($V,1)
Q=
endif

# WARNING: Do not change cc-opt, cc-opt-alt or cc-warning without checking if
#          clang bug #49364 is fixed. stderr is redirected to /dev/null on
#          purpose, to work around a clang 11 bug that crashes if stderr is
#          redirected to stdin.
#
# Function used to detect support of a given option by the compiler.
# Usage: CFLAGS += $(call cc-opt,option). Eg: $(call cc-opt,-fwrapv)
# Note: ensure the referencing variable is assigned using ":=" and not "=" to
#       call it only once.
cc-opt = $(shell set -e; if $(CC) -Werror $(1) -E -xc - -o /dev/null </dev/null >&0 2>/dev/null; then echo "$(1)"; fi;)

# same but emits $2 if $1 is not supported
cc-opt-alt = $(shell set -e; if $(CC) -Werror $(1) -E -xc - -o /dev/null </dev/null >&0 2>/dev/null; then echo "$(1)"; else echo "$(2)"; fi;)

# Disable a warning when supported by the compiler. Don't put spaces around the
# warning! And don't use cc-opt which doesn't always report an error until
# another one is also returned.
# Usage: CFLAGS += $(call cc-nowarn,warning). Eg: $(call cc-opt,format-truncation)
cc-nowarn = $(shell set -e; if $(CC) -Werror -W$(1) -E -xc - -o /dev/null </dev/null >&0 2>/dev/null; then echo "-Wno-$(1)"; fi;)

#### Installation options.
DESTDIR =
INSTALL = install
PREFIX = /usr/local
SBINDIR = $(PREFIX)/sbin
MANDIR = $(PREFIX)/share/man
DOCDIR = $(PREFIX)/doc/haproxy

#### TARGET system
# Use TARGET=<target_name> to optimize for a specific target OS among the
# following list (use the default "generic" if uncertain) :
#    linux-glibc, linux-glibc-legacy, linux-musl, solaris, freebsd, dragonfly,
#    openbsd, netbsd, cygwin, haiku, aix51, aix52, aix72-gcc, osx, generic,
#    custom
TARGET =

#### TARGET CPU
# Use CPU=<cpu_name> to optimize for a particular CPU, among the following
# list :
#    generic, native, i586, i686, ultrasparc, power8, power9, custom,
#    a53, a72, armv81, armv8-auto
CPU = generic

#### Architecture, used when not building for native architecture
# Use ARCH=<arch_name> to force build for a specific architecture. Known
# architectures will lead to "-m32" or "-m64" being added to CFLAGS and
# LDFLAGS. This can be required to build 32-bit binaries on 64-bit targets.
# Currently, only 32, 64, x86_64, i386, i486, i586 and i686 are understood.
ARCH =

#### Toolchain options.
CC = cc
LD = $(CC)

#### Debug flags (typically "-g").
# Those flags only feed CFLAGS so it is not mandatory to use this form.
DEBUG_CFLAGS = -g

#### Add -Werror when set to non-empty
ERR =

#### May be used to force running a specific set of reg-tests
REG_TEST_FILES =
REG_TEST_SCRIPT=./scripts/run-regtests.sh

#### Compiler-specific flags that may be used to disable some negative over-
# optimization or to silence some warnings.
# We rely on signed integer wraparound on overflow, however clang think it
# can do whatever it wants since it's an undefined behavior, so use -fwrapv
# to be sure we get the intended behavior.
SPEC_CFLAGS := -Wall -Wextra -Wdeclaration-after-statement
SPEC_CFLAGS += $(call cc-opt-alt,-fwrapv,$(call cc-opt,-fno-strict-overflow))
SPEC_CFLAGS += $(call cc-nowarn,address-of-packed-member)
SPEC_CFLAGS += $(call cc-nowarn,unused-label)
SPEC_CFLAGS += $(call cc-nowarn,sign-compare)
SPEC_CFLAGS += $(call cc-nowarn,unused-parameter)
SPEC_CFLAGS += $(call cc-nowarn,clobbered)
SPEC_CFLAGS += $(call cc-nowarn,missing-field-initializers)
SPEC_CFLAGS += $(call cc-nowarn,cast-function-type)
SPEC_CFLAGS += $(call cc-nowarn,string-plus-int)
SPEC_CFLAGS += $(call cc-nowarn,atomic-alignment)
SPEC_CFLAGS += $(call cc-opt,-Wtype-limits)
SPEC_CFLAGS += $(call cc-opt,-Wshift-negative-value)
SPEC_CFLAGS += $(call cc-opt,-Wshift-overflow=2)
SPEC_CFLAGS += $(call cc-opt,-Wduplicated-cond)
SPEC_CFLAGS += $(call cc-opt,-Wnull-dereference)

ifneq ($(ERR),)
SPEC_CFLAGS += -Werror
endif

#### Memory usage tuning
# If small memory footprint is required, you can reduce the buffer size. There
# are 2 buffers per concurrent session, so 16 kB buffers will eat 32 MB memory
# with 1000 concurrent sessions. Putting it slightly lower than a page size
# will prevent the additional parameters to go beyond a page. 8030 bytes is
# exactly 5.5 TCP segments of 1460 bytes and is generally good. Useful tuning
# macros include :

=== debian/changelog ===
haproxy (2.4.24-0ubuntu0.22.04.3) jammy-security; urgency=medium

  * SECURITY UPDATE: DoS via MJSON
    - debian/patches/CVE-2025-11230.patch: fix possible DoS when parsing
      numbers in src/mjson.c.
    - CVE-2025-11230

 -- Marc Deslauriers <marc.deslauriers@ubuntu.com>  Wed, 01 Oct 2025 13:26:27 -0400

haproxy (2.4.24-0ubuntu0.22.04.2) jammy-security; urgency=medium

  * SECURITY UPDATE: heap overflow in sample_conv_regsub
    - debian/patches/CVE-2025-32464.patch: fix risk of overflow when
      replacing multiple regex back-refs in src/sample.c.
    - CVE-2025-32464

 -- Marc Deslauriers <marc.deslauriers@ubuntu.com>  Wed, 09 Apr 2025 09:09:47 -0400

haproxy (2.4.24-0ubuntu0.22.04.1) jammy; urgency=medium

  * New upstream release (LP: #2028418)
    - Major and critical bug fixes according to the upstream changelog:
      + BUG/MAJOR: http-ana: Get a fresh trash buffer for each header value
        replacement
      + BUG/MAJOR: http: reject any empty content-length header value
    - For further information, refer to the upstream changelog at
      https://www.haproxy.org/download/2.4/src/CHANGELOG and to the upstream
      release announcements at
      https://www.mail-archive.com/haproxy@formilux.org/msg43664.html
      (2.4.23), and
      https://www.mail-archive.com/haproxy@formilux.org/msg43901.html (2.4.24)
    - Remove patches applied by upstream in debian/patches:
      + CVE-2023-40225-1.patch
      + CVE-2023-40225-2.patch

 -- Athos Ribeiro <athos.ribeiro@canonical.com>  Tue, 31 Oct 2023 11:16:29 -0300

haproxy (2.4.22-0ubuntu0.22.04.2) jammy-security; urgency=medium

  * SECURITY UPDATE: incorrect handling of empty content-length header
    - debian/patches/CVE-2023-40225-1.patch: add a proper check for empty
      content-length header buffer in src/h1.c and src/h2.c. Also add
      tests for it in reg-tests/http-messaging/h1_to_h1.vtc and
      reg-tests/http-messaging/h2_to_h1.vtc.
    - debian/patches/CVE-2023-40225-2.patch: add a check for leading zero
      in content-length header buffer in src/h1.c and src/h2.c. Also add
      tests in reg-tests/http-rules/h1or2_to_h1c.vtc.
    - CVE-2023-40225

 -- Rodrigo Figueiredo Zaiden <rodrigo.zaiden@canonical.com>  Mon, 14 Aug 2023 20:00:52 -0300

haproxy (2.4.22-0ubuntu0.22.04.1) jammy; urgency=medium

  * New upstream release (LP: #2012557).
    - Major and critical bug fixes according to the upstream changelog:
      + BUG/MAJOR: log-forward: Fix log-forward proxies not fully initialized
      + BUG/MAJOR: mworker: fix infinite loop on master with no proxies.
      + BUG/MAJOR: stick-tables: do not try to index a server name for applets
      + BUG/MAJOR: stick-table: don't process store-response rules for applets
      + BUG/MAJOR: fcgi: Fix uninitialized reserved bytes
      + BUG/MAJOR: buf: Fix copy of wrapping output data when a buffer is realigned
      + BUG/CRITICAL: http: properly reject empty http header field names
    - Remove patches applied by upstream in debian/patches:
      + CVE-2023-0056.patch
      + CVE-2023-25725.patch
      + CVE-2023-0836.patch
    - Refresh existing patches in debian/patches:
      + haproxy.service-start-after-syslog.patch
      + reproducible.patch
  * Backport DEP-8 tests from Lunar:
    - d/t/proxy-ssl-termination
    - d/t/proxy-ssl-pass-through

 -- Lucas Kanashiro <kanashiro@ubuntu.com>  Wed, 22 Mar 2023 18:18:54 -0300

haproxy (2.4.18-0ubuntu1.3) jammy-security; urgency=medium

  * SECURITY UPDATE: information leak via uninitialized bytes
    - debian/patches/CVE-2023-0836.patch: initialize output buffer in
      src/fcgi.c.
    - CVE-2023-0836

 -- Marc Deslauriers <marc.deslauriers@ubuntu.com>  Fri, 31 Mar 2023 13:18:03 -0400

haproxy (2.4.18-0ubuntu1.2) jammy-security; urgency=medium

  * SECURITY UPDATE: incorrect handling of empty http header field names
    - debian/patches/CVE-2023-25725.patch: properly reject empty http
      header field names in src/h1.c, src/hpack-dec.c.
    - CVE-2023-25725

 -- Marc Deslauriers <marc.deslauriers@ubuntu.com>  Mon, 13 Feb 2023 07:42:24 -0500

haproxy (2.4.18-0ubuntu1.1) jammy-security; urgency=medium

  * SECURITY UPDATE: DoS via certain interim responses
    - debian/patches/CVE-2023-0056.patch: refuse interim responses with
      end-stream flag set in src/mux_h2.c.
    - CVE-2023-0056

 -- Marc Deslauriers <marc.deslauriers@ubuntu.com>  Thu, 19 Jan 2023 10:47:52 -0500

haproxy (2.4.18-0ubuntu1) jammy; urgency=medium

  * New upstream release (LP: #1987914). Major bug fixes according to the
    upstream changelog:
    - mux-pt: Always destroy the backend connection on detach
    - mux_pt: always report the connection error to the conn_stream
    - connection: Never remove connection from idle lists outside the lock
    - dns: multi-thread concurrency issue on UDP socket

 -- Lucas Kanashiro <kanashiro@ubuntu.com>  Thu, 25 Aug 2022 15:52:23 -0300

=== debian/rules ===
#!/usr/bin/make -f

include /usr/share/dpkg/pkg-info.mk
include /usr/share/dpkg/architecture.mk
include /usr/share/dpkg/buildflags.mk

export DEB_BUILD_MAINT_OPTIONS = hardening=+all
export DEB_LDFLAGS_MAINT_APPEND = -Wl,--as-needed

MAKEARGS=V=1 \
	 DESTDIR=debian/haproxy \
	 PREFIX=/usr \
	 IGNOREGIT=true \
	 MANDIR=/usr/share/man \
	 DOCDIR=/usr/share/doc/haproxy \
	 USE_PCRE2=1 \
	 USE_PCRE2_JIT=1 \
	 USE_OPENSSL=1 \
	 USE_SLZ=1 \
	 USE_LUA=1 \
	 USE_PROMEX=1 \
	 LUA_INC=/usr/include/lua5.3 \
	 EXTRA=admin/halog/halog

ifeq ($(DEB_HOST_ARCH_OS),linux)
        MAKEARGS+= TARGET=linux-glibc USE_SYSTEMD=1
else ifeq ($(DEB_HOST_ARCH_OS),kfreebsd)
        MAKEARGS+= TARGET=freebsd
else
	MAKEARGS+= TARGET=generic
endif

ifneq ($(filter armel mips mipsel m68k powerpc powerpcspe sh4 riscv64,$(DEB_HOST_ARCH)),)
	MAKEARGS+= ADDLIB="-latomic"
endif

MAKEARGS += DEBUG_CFLAGS="$(CFLAGS) $(CPPFLAGS)"
MAKEARGS += LDFLAGS="$(LDFLAGS)"
MAKEARGS += VERSION="$(DEB_VERSION_UPSTREAM)"
MAKEARGS += SUBVERS="-$(lastword $(subst -, ,$(DEB_VERSION)))"
MAKEARGS += VERDATE="$(shell TZ=UTC date -d "@$(SOURCE_DATE_EPOCH)" "+%Y/%m/%d")"

%:
	dh $@ --with sphinxdoc

override_dh_auto_configure:

override_dh_auto_build-arch:
	make $(MAKEARGS)
	make -C admin/systemd $(MAKEARGS)
	$(MAKE) -C doc/lua-api man

override_dh_auto_build-indep:
	# Build the HTML documentation, after patching dconv
	patch -p1 < $(CURDIR)/debian/patches/debianize-dconv.patch
	for doc in intro configuration management; do \
		python3 -B $(CURDIR)/debian/dconv/haproxy-dconv.py \
			-i $(CURDIR)/doc/$${doc}.txt \
			-o $(CURDIR)/doc/$${doc}.html ;\
	done
	patch -p1 -R < $(CURDIR)/debian/patches/debianize-dconv.patch
	$(MAKE) -C doc/lua-api html

override_dh_auto_clean:
	make -C admin/systemd clean
	$(MAKE) -C doc/lua-api clean
	dh_auto_clean

override_dh_auto_install-arch:
	make $(MAKEARGS) install
	install -m 0644 -D debian/rsyslog.conf debian/haproxy/etc/rsyslog.d/49-haproxy.conf
	install -m 0644 -D debian/logrotate.conf debian/haproxy/etc/logrotate.d/haproxy

override_dh_auto_install-indep:

override_dh_installdocs:
	dh_installdocs -Xsystemd/ -Xhalog/

override_dh_installexamples:
	dh_installexamples -X build.cfg

override_dh_installinit:
	dh_installinit --no-restart-after-upgrade --no-stop-on-upgrade

override_dh_installsystemd:
	dh_installsystemd --no-restart-after-upgrade --no-stop-on-upgrade

override_dh_strip:
	dh_strip --dbgsym-migration="haproxy-dbg"

## haproxy 2.4.29

=== Makefile ===
--- 
+++ 
@@ -25,8 +25,8 @@
 #   USE_PRIVATE_CACHE    : disable shared memory cache of ssl sessions.
 #   USE_THREAD           : enable threads support.
 #   USE_PTHREAD_PSHARED  : enable pthread process shared mutex on sslcache.
-#   USE_STATIC_PCRE      : enable static libpcre. Recommended.
-#   USE_STATIC_PCRE2     : enable static libpcre2.
+#   USE_STATIC_PCRE      : enable static libpcre.
+#   USE_STATIC_PCRE2     : enable static libpcre2. Recommended.
 #   USE_TPROXY           : enable transparent proxy. Automatic.
 #   USE_LINUX_TPROXY     : enable full transparent proxy. Automatic.
 #   USE_LINUX_SPLICE     : enable kernel 2.6 splicing. Automatic.
@@ -34,6 +34,7 @@
 #   USE_CRYPT_H          : set it if your system requires including crypt.h
 #   USE_GETADDRINFO      : use getaddrinfo() to resolve IPv6 host names.
 #   USE_OPENSSL          : enable use of OpenSSL. Recommended, but see below.
+#   USE_QUIC             : enable use of QUIC with the quictls API (quictls, libressl, boringssl)
 #   USE_LUA              : enable Lua support.
 #   USE_FUTEX            : enable use of futex on kernel 2.6. Automatic.
 #   USE_ACCEPT4          : enable use of accept4() on linux. Automatic.
@@ -225,5 +226,3 @@
 # are 2 buffers per concurrent session, so 16 kB buffers will eat 32 MB memory
 # with 1000 concurrent sessions. Putting it slightly lower than a page size
 # will prevent the additional parameters to go beyond a page. 8030 bytes is
-# exactly 5.5 TCP segments of 1460 bytes and is generally good. Useful tuning
-# macros include :

=== admin/iprange/Makefile ===
CC       = cc
OPTIMIZE = -O3
LDFLAGS  = -s

OBJS     = iprange ip6range

all: $(OBJS)

%: %.c
	$(CC) $(LDFLAGS) $(OPTIMIZE) -o $@ $^

clean:
	rm -f $(OBJS) *.o *.a *~

=== dev/poll/Makefile ===
CC       = cc
OPTIMIZE = -O2 -g
DEFINE   =
INCLUDE  =
OBJS     = poll

poll: poll.c
	$(CC) $(OPTIMIZE) $(DEFINE) $(INCLUDE) -o $@ $^

clean:
	rm -f $(OBJS) *.[oas] *~

=== doc/lua-api/Makefile ===
# Makefile for Sphinx documentation
#

# You can set these variables from the command line.
SPHINXOPTS    =
SPHINXBUILD   = sphinx-build
PAPER         =
BUILDDIR      = _build

# Internal variables.
PAPEROPT_a4     = -D latex_paper_size=a4
PAPEROPT_letter = -D latex_paper_size=letter
ALLSPHINXOPTS   = -d $(BUILDDIR)/doctrees $(PAPEROPT_$(PAPER)) $(SPHINXOPTS) .
# the i18n builder cannot share the environment and doctrees with the others
I18NSPHINXOPTS  = $(PAPEROPT_$(PAPER)) $(SPHINXOPTS) .

.PHONY: help clean html dirhtml singlehtml pickle json htmlhelp qthelp devhelp epub latex latexpdf text man changes linkcheck doctest gettext

help:
	@echo "Please use \`make <target>' where <target> is one of"
	@echo "  html       to make standalone HTML files"
	@echo "  dirhtml    to make HTML files named index.html in directories"
	@echo "  singlehtml to make a single large HTML file"
	@echo "  pickle     to make pickle files"
	@echo "  json       to make JSON files"
	@echo "  htmlhelp   to make HTML files and a HTML help project"
	@echo "  qthelp     to make HTML files and a qthelp project"
	@echo "  devhelp    to make HTML files and a Devhelp project"
	@echo "  epub       to make an epub"
	@echo "  latex      to make LaTeX files, you can set PAPER=a4 or PAPER=letter"
	@echo "  latexpdf   to make LaTeX files and run them through pdflatex"
	@echo "  text       to make text files"
	@echo "  man        to make manual pages"
	@echo "  texinfo    to make Texinfo files"
	@echo "  info       to make Texinfo files and run them through makeinfo"
	@echo "  gettext    to make PO message catalogs"
	@echo "  changes    to make an overview of all changed/added/deprecated items"
	@echo "  linkcheck  to check all external links for integrity"
	@echo "  doctest    to run all doctests embedded in the documentation (if enabled)"

clean:
	-rm -rf $(BUILDDIR)/*

html:
	$(SPHINXBUILD) -b html $(ALLSPHINXOPTS) $(BUILDDIR)/html
	@echo
	@echo "Build finished. The HTML pages are in $(BUILDDIR)/html."

dirhtml:
	$(SPHINXBUILD) -b dirhtml $(ALLSPHINXOPTS) $(BUILDDIR)/dirhtml
	@echo
	@echo "Build finished. The HTML pages are in $(BUILDDIR)/dirhtml."

singlehtml:
	$(SPHINXBUILD) -b singlehtml $(ALLSPHINXOPTS) $(BUILDDIR)/singlehtml
	@echo
	@echo "Build finished. The HTML page is in $(BUILDDIR)/singlehtml."

pickle:
	$(SPHINXBUILD) -b pickle $(ALLSPHINXOPTS) $(BUILDDIR)/pickle
	@echo
	@echo "Build finished; now you can process the pickle files."

json:
	$(SPHINXBUILD) -b json $(ALLSPHINXOPTS) $(BUILDDIR)/json
	@echo
	@echo "Build finished; now you can process the JSON files."

htmlhelp:
	$(SPHINXBUILD) -b htmlhelp $(ALLSPHINXOPTS) $(BUILDDIR)/htmlhelp
	@echo
	@echo "Build finished; now you can run HTML Help Workshop with the" \
	      ".hhp project file in $(BUILDDIR)/htmlhelp."

qthelp:
	$(SPHINXBUILD) -b qthelp $(ALLSPHINXOPTS) $(BUILDDIR)/qthelp
	@echo
	@echo "Build finished; now you can run "qcollectiongenerator" with the" \
	      ".qhcp project file in $(BUILDDIR)/qthelp, like this:"
	@echo "# qcollectiongenerator $(BUILDDIR)/qthelp/haproxy-lua.qhcp"
	@echo "To view the help file:"
	@echo "# assistant -collectionFile $(BUILDDIR)/qthelp/haproxy-lua.qhc"

devhelp:
	$(SPHINXBUILD) -b devhelp $(ALLSPHINXOPTS) $(BUILDDIR)/devhelp
	@echo
	@echo "Build finished."
	@echo "To view the help file:"
	@echo "# mkdir -p $$HOME/.local/share/devhelp/haproxy-lua"
	@echo "# ln -s $(BUILDDIR)/devhelp $$HOME/.local/share/devhelp/haproxy-lua"
	@echo "# devhelp"

epub:
	$(SPHINXBUILD) -b epub $(ALLSPHINXOPTS) $(BUILDDIR)/epub
	@echo
	@echo "Build finished. The epub file is in $(BUILDDIR)/epub."

latex:
	$(SPHINXBUILD) -b latex $(ALLSPHINXOPTS) $(BUILDDIR)/latex
	@echo
	@echo "Build finished; the LaTeX files are in $(BUILDDIR)/latex."
	@echo "Run \`make' in that directory to run these through (pdf)latex" \
	      "(use \`make latexpdf' here to do that automatically)."

latexpdf:
	$(SPHINXBUILD) -b latex $(ALLSPHINXOPTS) $(BUILDDIR)/latex
	@echo "Running LaTeX files through pdflatex..."
	$(MAKE) -C $(BUILDDIR)/latex all-pdf
	@echo "pdflatex finished; the PDF files are in $(BUILDDIR)/latex."

text:
	$(SPHINXBUILD) -b text $(ALLSPHINXOPTS) $(BUILDDIR)/text
	@echo
	@echo "Build finished. The text files are in $(BUILDDIR)/text."

man:
	$(SPHINXBUILD) -b man $(ALLSPHINXOPTS) $(BUILDDIR)/man
	@echo
	@echo "Build finished. The manual pages are in $(BUILDDIR)/man."

texinfo:
	$(SPHINXBUILD) -b texinfo $(ALLSPHINXOPTS) $(BUILDDIR)/texinfo
	@echo
	@echo "Build finished. The Texinfo files are in $(BUILDDIR)/texinfo."
	@echo "Run \`make' in that directory to run these through makeinfo" \
	      "(use \`make info' here to do that automatically)."

info:
	$(SPHINXBUILD) -b texinfo $(ALLSPHINXOPTS) $(BUILDDIR)/texinfo
	@echo "Running Texinfo files through makeinfo..."
	make -C $(BUILDDIR)/texinfo info
	@echo "makeinfo finished; the Info files are in $(BUILDDIR)/texinfo."

gettext:
	$(SPHINXBUILD) -b gettext $(I18NSPHINXOPTS) $(BUILDDIR)/locale
	@echo
	@echo "Build finished. The message catalogs are in $(BUILDDIR)/locale."

changes:
	$(SPHINXBUILD) -b changes $(ALLSPHINXOPTS) $(BUILDDIR)/changes
	@echo
	@echo "The overview file is in $(BUILDDIR)/changes."

linkcheck:
	$(SPHINXBUILD) -b linkcheck $(ALLSPHINXOPTS) $(BUILDDIR)/linkcheck
	@echo
	@echo "Link check complete; look for any errors in the above output " \
	      "or in $(BUILDDIR)/linkcheck/output.txt."

doctest:
	$(SPHINXBUILD) -b doctest $(ALLSPHINXOPTS) $(BUILDDIR)/doctest
	@echo "Testing of doctests in the sources finished, look at the " \
	      "results in $(BUILDDIR)/doctest/output.txt."

=== addons/wurfl/dummy/Makefile ===
# makefile for dummy wurfl library
# builds shared library
# installs it in /usr/lib/ with header file wurfl.h in /usr/include/wurfl
#
# install needs to be run as root

build: libwurfl.a

libwurfl.a: dummy-wurfl.o
	ar rv $@ $<

clean:
	rm -rf *.a *.o

=== debian/changelog ===
haproxy (2.4.29-0ubuntu0.22.04.1) jammy; urgency=medium

  * New upstream version (LP: #2112526)
    - This new version includes several bug fixes.
    - The SSL stack is now always completely initialized.
    - For further information, see the upstream release notes:
      + https://www.mail-archive.com/haproxy@formilux.org/msg44427.html
      + https://www.mail-archive.com/haproxy@formilux.org/msg44784.html
      + https://www.mail-archive.com/haproxy@formilux.org/msg45071.html
      + https://www.mail-archive.com/haproxy@formilux.org/msg45416.html
      + https://www.mail-archive.com/haproxy@formilux.org/msg45810.html
  * d/p/CVE-2025-32464.patch: drop patch applied upstream

 -- Athos Ribeiro <athos.ribeiro@canonical.com>  Fri, 10 Oct 2025 11:50:23 -0300

=== debian/control ===
Source: haproxy
Section: net
Priority: optional
Maintainer: Ubuntu Developers <ubuntu-devel-discuss@lists.ubuntu.com>
XSBC-Original-Maintainer: Debian HAProxy Maintainers <team+haproxy@tracker.debian.org>
Uploaders: Apollon Oikonomopoulos <apoikos@debian.org>,
           Prach Pongpanich <prach@debian.org>,
           Vincent Bernat <bernat@debian.org>
Standards-Version: 4.4.1
Build-Depends: debhelper-compat (= 12),
               libpcre2-dev,
               libssl-dev,
               liblua5.3-dev,
               libsystemd-dev [linux-any],
               python3-sphinx,
               pkg-config
Build-Depends-Indep: python3, python3-mako
Homepage: http://www.haproxy.org/
Vcs-Git: https://salsa.debian.org/haproxy-team/haproxy.git
Vcs-Browser: https://salsa.debian.org/haproxy-team/haproxy

Package: haproxy
Architecture: any
Depends: ${shlibs:Depends}, ${misc:Depends}, adduser, lsb-base (>= 3.0-6)
Pre-Depends: dpkg (>= 1.17.14), ${misc:Pre-Depends}
Suggests: vim-haproxy, haproxy-doc
Description: fast and reliable load balancing reverse proxy
 HAProxy is a TCP/HTTP reverse proxy which is particularly suited for high
 availability environments. It features connection persistence through HTTP
 cookies, load balancing, header addition, modification, deletion both ways. It
 has request blocking capabilities and provides interface to display server
 status.

Package: haproxy-doc
Section: doc
Architecture: all
Depends: ${misc:Depends}, libjs-bootstrap (<< 4), libjs-jquery,
 ${sphinxdoc:Depends}
Pre-Depends: dpkg (>= 1.17.14)
Description: fast and reliable load balancing reverse proxy (HTML documentation)
 HAProxy is a TCP/HTTP reverse proxy which is particularly suited for high
 availability environments. It features connection persistence through HTTP
 cookies, load balancing, header addition, modification, deletion both ways. It
 has request blocking capabilities and provides interface to display server
 status.
 .
 This package contains the HTML documentation for haproxy.

Package: vim-haproxy
Architecture: all
Depends: ${misc:Depends}
Recommends: vim-addon-manager
Description: syntax highlighting for HAProxy configuration files
 The vim-haproxy package provides filetype detection and syntax highlighting
 for HAProxy configuration files.
 .
 As per the Debian vim policy, installed addons are not activated
 automatically, but the "vim-addon-manager" tool can be used for this purpose.

=== debian/watch ===
version=3
opts="uversionmangle=s/-(dev\d+)/~$1/" https://www.haproxy.org/download/2.4/src/ haproxy-(2\.4(?:\.|-dev)\d+)\.(?:tgz|tbz2|tar\.(?:gz|bz2|xz))

## haproxy 2.4.30

=== debian/changelog ===
haproxy (2.4.30-1~bpo11+1) bullseye-backports; urgency=medium

  * Rebuild for bullseye-backports.

 -- Vincent Bernat <bernat@debian.org>  Sat, 04 Oct 2025 10:41:07 +0200

haproxy (2.4.30-1) UNRELEASED; urgency=medium

  * New upstream release.

 -- Vincent Bernat <bernat@debian.org>  Sat, 04 Oct 2025 10:38:34 +0200

haproxy (2.4.29-1~bpo11+1) bullseye-backports; urgency=medium

  * Rebuild for bullseye-backports.

 -- Vincent Bernat <bernat@debian.org>  Sat, 26 Apr 2025 10:53:20 +0200

haproxy (2.4.29-1) UNRELEASED; urgency=medium

  [ Helmut Grohne ]
  * Fix FTCBFS: (Closes: #1079532)
    + Require a sphinx for the build architecture.
    + Pass CC and PKG_CONFIG to all make targets.
    + cross.patch: Honour the passed ${PKG_CONFIG}.

  [ Vincent Bernat ]
  * New upstream release.

 -- Vincent Bernat <bernat@debian.org>  Sat, 26 Apr 2025 10:40:56 +0200

haproxy (2.4.28-1~bpo11+1) bullseye-backports; urgency=medium

  * Rebuild for bullseye-backports.

 -- Vincent Bernat <bernat@debian.org>  Mon, 11 Nov 2024 17:05:10 +0100

haproxy (2.4.28-1) UNRELEASED; urgency=medium

  * New upstream release.

 -- Vincent Bernat <bernat@debian.org>  Mon, 11 Nov 2024 17:00:20 +0100

haproxy (2.4.27-1~bpo11+1) bullseye-backports; urgency=medium

  * Rebuild for bullseye-backports.

 -- Vincent Bernat <bernat@debian.org>  Wed, 19 Jun 2024 21:41:55 +0200

haproxy (2.4.27-1) UNRELEASED; urgency=medium

  * New upstream release.

 -- Vincent Bernat <bernat@debian.org>  Wed, 19 Jun 2024 21:19:06 +0200

haproxy (2.4.26-1~bpo11+1) bullseye-backports; urgency=medium

  * Rebuild for bullseye-backports.

 -- Vincent Bernat <bernat@luffy.cx>  Sat, 06 Apr 2024 16:22:40 +0200

haproxy (2.4.26-1) UNRELEASED; urgency=medium

  * New upstream release.

 -- Vincent Bernat <bernat@debian.org>  Sat, 06 Apr 2024 16:03:49 +0200

haproxy (2.4.25-1~bpo11+1) bullseye-backports; urgency=medium

  * Rebuild for bullseye-backports.

 -- Vincent Bernat <bernat@luffy.cx>  Sat, 16 Dec 2023 20:22:26 +0100

haproxy (2.4.25-1) UNRELEASED; urgency=medium

  * New upstream release.

 -- Vincent Bernat <bernat@debian.org>  Sat, 16 Dec 2023 15:10:38 +0100

haproxy (2.4.24-1~bpo11+1) bullseye-backports; urgency=medium

  * Rebuild for bullseye-backports.

 -- Vincent Bernat <bernat@luffy.cx>  Sat, 19 Aug 2023 12:52:04 +0200

haproxy (2.4.24-1) UNRELEASED; urgency=medium

  * New upstream release. Fix CVE-2023-40225.

 -- Vincent Bernat <bernat@debian.org>  Sat, 19 Aug 2023 12:26:41 +0200

haproxy (2.4.23-1~bpo11+1) bullseye-backports; urgency=medium

  * Rebuild for bullseye-backports.

 -- Vincent Bernat <bernat@luffy.cx>  Sat, 10 Jun 2023 18:00:22 +0200

haproxy (2.4.23-1) UNRELEASED; urgency=medium

  * New upstream release.

 -- Vincent Bernat <bernat@debian.org>  Sat, 10 Jun 2023 17:42:50 +0200

haproxy (2.4.22-1~bpo11+1) bullseye-backports; urgency=medium

  * Rebuild for bullseye-backports.

 -- Vincent Bernat <bernat@luffy.cx>  Thu, 16 Feb 2023 23:00:56 +0100

haproxy (2.4.22-1) UNRELEASED; urgency=medium

  * New upstream release.

 -- Vincent Bernat <bernat@debian.org>  Thu, 16 Feb 2023 22:43:55 +0100

haproxy (2.4.21-2~bpo11+1) bullseye-backports; urgency=medium

  * Rebuild for bullseye-backports.

 -- Vincent Bernat <bernat@luffy.cx>  Mon, 13 Feb 2023 21:38:34 +0100

haproxy (2.4.21-2) UNRELEASED; urgency=medium

  * BUG/CRITICAL: http: properly reject empty http header field names
    (CVE-2023-25725).

 -- Vincent Bernat <bernat@debian.org>  Mon, 13 Feb 2023 21:21:05 +0100

haproxy (2.4.21-1~bpo11+1) bullseye-backports; urgency=medium

  * Rebuild for bullseye-backports.

 -- Vincent Bernat <bernat@luffy.cx>  Sat, 28 Jan 2023 14:17:48 +0100

haproxy (2.4.21-1) UNRELEASED; urgency=medium

  * New upstream release.

 -- Vincent Bernat <bernat@debian.org>  Sat, 28 Jan 2023 13:58:58 +0100

haproxy (2.4.20-1~bpo11+1) bullseye-backports; urgency=medium

  * Rebuild for bullseye-backports.

 -- Vincent Bernat <bernat@luffy.cx>  Fri, 09 Dec 2022 20:42:40 +0100

haproxy (2.4.20-1) UNRELEASED; urgency=medium

  * New upstream release.

 -- Vincent Bernat <bernat@debian.org>  Fri, 09 Dec 2022 20:24:18 +0100

haproxy (2.4.19-1~bpo11+1) bullseye-backports; urgency=medium

  * Rebuild for bullseye-backports.

 -- Vincent Bernat <bernat@debian.org>  Fri, 30 Sep 2022 09:31:39 +0200

=== debian/control ===
--- 
+++ 
@@ -1,8 +1,7 @@
 Source: haproxy
 Section: net
 Priority: optional
-Maintainer: Ubuntu Developers <ubuntu-devel-discuss@lists.ubuntu.com>
-XSBC-Original-Maintainer: Debian HAProxy Maintainers <team+haproxy@tracker.debian.org>
+Maintainer: Debian HAProxy Maintainers <team+haproxy@tracker.debian.org>
 Uploaders: Apollon Oikonomopoulos <apoikos@debian.org>,
            Prach Pongpanich <prach@debian.org>,
            Vincent Bernat <bernat@debian.org>
@@ -12,8 +11,7 @@
                libssl-dev,
                liblua5.3-dev,
                libsystemd-dev [linux-any],
-               python3-sphinx,
-               pkg-config
+               python3-sphinx:native
 Build-Depends-Indep: python3, python3-mako
 Homepage: http://www.haproxy.org/
 Vcs-Git: https://salsa.debian.org/haproxy-team/haproxy.git

## haproxy 2.5.2

=== debian/changelog ===
haproxy (2.5.2-1) experimental; urgency=medium

  * New upstream release.

 -- Vincent Bernat <bernat@debian.org>  Wed, 16 Feb 2022 19:09:04 +0100

haproxy (2.5.1-1) experimental; urgency=medium

  * New upstream release.

 -- Vincent Bernat <bernat@debian.org>  Tue, 11 Jan 2022 19:23:50 +0100

haproxy (2.5.0-1) experimental; urgency=medium

  * New upstream release.
  * d/patches: patch to make logging work without rsyslog with systemd

 -- Vincent Bernat <bernat@debian.org>  Thu, 25 Nov 2021 21:20:30 +0100

=== debian/watch ===
version=3
opts="uversionmangle=s/-(dev\d+)/~$1/" https://www.haproxy.org/download/2.5/src/ haproxy-(2\.5(?:\.|-dev)\d+)\.(?:tgz|tbz2|tar\.(?:gz|bz2|xz))

## haproxy 2.6.7

=== debian/changelog ===
haproxy (2.6.7-1~bpo11+1) bullseye-backports; urgency=medium

  * Rebuild for bullseye-backports.

 -- Vincent Bernat <bernat@luffy.cx>  Fri, 02 Dec 2022 22:42:26 +0100

haproxy (2.6.7-1) unstable; urgency=medium

  * New upstream release.

 -- Vincent Bernat <bernat@debian.org>  Fri, 02 Dec 2022 22:20:15 +0100

haproxy (2.6.6-2) unstable; urgency=medium

  * Upload to unstable.

 -- Vincent Bernat <bernat@debian.org>  Sat, 22 Oct 2022 10:19:03 +0200

haproxy (2.6.6-1~bpo11+1) bullseye-backports; urgency=medium

  * Rebuild for bullseye-backports.

 -- Vincent Bernat <bernat@debian.org>  Thu, 22 Sep 2022 22:20:42 +0200

haproxy (2.6.6-1) experimental; urgency=medium

  * New upstream release.

 -- Vincent Bernat <bernat@debian.org>  Thu, 22 Sep 2022 20:22:23 +0200

haproxy (2.6.5-1~bpo11+1) bullseye-backports; urgency=medium

  * Rebuild for bullseye-backports.

 -- Vincent Bernat <bernat@debian.org>  Sat, 03 Sep 2022 19:59:08 +0200

haproxy (2.6.5-1) experimental; urgency=medium

  * New upstream release.

 -- Vincent Bernat <bernat@debian.org>  Sat, 03 Sep 2022 19:33:51 +0200

haproxy (2.6.4-1~bpo11+1) bullseye-backports; urgency=medium

  * Rebuild for bullseye-backports.

 -- Vincent Bernat <bernat@debian.org>  Mon, 22 Aug 2022 19:21:30 +0200

haproxy (2.6.4-1) experimental; urgency=medium

  * New upstream release.

 -- Vincent Bernat <bernat@debian.org>  Mon, 22 Aug 2022 19:01:25 +0200

haproxy (2.6.3-1~bpo11+1) bullseye-backports; urgency=medium

  * Rebuild for bullseye-backports.

 -- Vincent Bernat <bernat@debian.org>  Fri, 19 Aug 2022 19:34:21 +0200

haproxy (2.6.3-1) experimental; urgency=medium

  * New upstream release.

 -- Vincent Bernat <bernat@debian.org>  Fri, 19 Aug 2022 19:16:11 +0200

haproxy (2.6.2-1~bpo11+1) bullseye-backports; urgency=medium

  * Rebuild for bullseye-backports.

 -- Vincent Bernat <bernat@debian.org>  Fri, 22 Jul 2022 18:40:48 +0200

haproxy (2.6.2-1) experimental; urgency=medium

  * New upstream release.

 -- Vincent Bernat <bernat@debian.org>  Fri, 22 Jul 2022 18:21:43 +0200

haproxy (2.6.1-1~bpo11+1) bullseye-backports; urgency=medium

  * Rebuild for bullseye-backports.

 -- Vincent Bernat <bernat@debian.org>  Wed, 22 Jun 2022 20:33:30 +0200

haproxy (2.6.1-1) experimental; urgency=medium

  [ Lucas Kanashiro ]
  * d/t/utils: add helper functions to be re-used in tests
  * d/t/proxy-localhost: refactor to use the check_index_file helper function
  * d/t/proxy-ssl-termination: add test for the SSL termination proxy feature
  * d/t/proxy-ssl-pass-through: add test for the SSL Pass-Through proxy feature

  [ Vincent Bernat ]
  * New upstream release.

 -- Vincent Bernat <bernat@debian.org>  Wed, 22 Jun 2022 20:06:08 +0200

haproxy (2.6.0-1~bpo11+1) bullseye-backports; urgency=medium

  * Rebuild for bullseye-backports.

 -- Vincent Bernat <bernat@debian.org>  Fri, 03 Jun 2022 23:14:38 +0200

haproxy (2.6.0-1) experimental; urgency=medium

  * New upstream release.

 -- Vincent Bernat <bernat@debian.org>  Thu, 02 Jun 2022 08:49:38 +0200

haproxy (2.5.7-1~bpo11+1) bullseye-backports; urgency=medium

  * Rebuild for bullseye-backports.

 -- Vincent Bernat <bernat@debian.org>  Sat, 14 May 2022 12:18:52 +0200

haproxy (2.5.7-1) experimental; urgency=medium

  * New upstream release.

 -- Vincent Bernat <bernat@debian.org>  Sat, 14 May 2022 12:01:07 +0200

haproxy (2.5.6-1~bpo11+1) bullseye-backports; urgency=medium

  * Rebuild for bullseye-backports.

 -- Vincent Bernat <bernat@debian.org>  Tue, 26 Apr 2022 18:34:02 +0200

haproxy (2.5.6-1) experimental; urgency=medium

  * New upstream release.

 -- Vincent Bernat <bernat@debian.org>  Tue, 26 Apr 2022 17:59:23 +0200

haproxy (2.5.5-1~bpo11+1) bullseye-backports; urgency=medium

  * Rebuild for bullseye-backports.

 -- Vincent Bernat <bernat@debian.org>  Mon, 14 Mar 2022 19:44:30 +0100

haproxy (2.5.5-1) experimental; urgency=medium

  * New upstream release.

 -- Vincent Bernat <bernat@debian.org>  Mon, 14 Mar 2022 19:26:46 +0100

haproxy (2.5.4-1~bpo11+1) bullseye-backports; urgency=medium

  * Rebuild for bullseye-backports.

 -- Vincent Bernat <bernat@debian.org>  Fri, 25 Feb 2022 17:54:51 +0100

haproxy (2.5.4-1) experimental; urgency=medium

  * New upstream release.

 -- Vincent Bernat <bernat@debian.org>  Fri, 25 Feb 2022 17:39:11 +0100

haproxy (2.5.3-1~bpo11+1) bullseye-backports; urgency=medium

  * Rebuild for bullseye-backports.

 -- Vincent Bernat <bernat@debian.org>  Fri, 18 Feb 2022 20:37:32 +0100

haproxy (2.5.3-1) experimental; urgency=medium

  * New upstream release.

 -- Vincent Bernat <bernat@debian.org>  Fri, 18 Feb 2022 20:22:25 +0100

haproxy (2.5.2-1~bpo11+1) bullseye-backports; urgency=medium

  * Rebuild for bullseye-backports.

 -- Vincent Bernat <bernat@debian.org>  Wed, 16 Feb 2022 19:25:50 +0100

haproxy (2.5.1-1~bpo11+1) bullseye-backports; urgency=medium

  * Rebuild for bullseye-backports.

 -- Vincent Bernat <bernat@debian.org>  Tue, 11 Jan 2022 19:38:45 +0100

haproxy (2.5.0-1~bpo11+1) bullseye-backports; urgency=medium

  * Rebuild for bullseye-backports.

 -- Vincent Bernat <bernat@debian.org>  Fri, 26 Nov 2021 08:36:12 +0100
